Subject: Re: [PATCH 1/2] Add support for stopping spus from xmon

From: Michael Ellerman <[email-masked]>
Date: Wed, 18 Oct 2006 17:13:46 +1000

On Thu, 2006-10-12 at 11:18 -0500, Linas Vepstas wrote:
> On Thu, Oct 12, 2006 at 10:03:08PM +1000, Michael Ellerman wrote:
> > 
> >  arch/powerpc/platforms/cell/spu_base.c |    4 
> >  arch/powerpc/xmon/xmon.c               |  142 ++++++++++++++++++++++++++++++++-
> >  include/asm-powerpc/xmon.h             |    2 
> >  3 files changed, 146 insertions(+), 2 deletions(-)
> 
> The next patch adds another 60 lines to xmon.c, which 
> is already a bit too big. Perhaps you could instead
> put this code in "xmon/cell.c" or something like that?

I did originally, but that requires exporting several globals from
xmon.c, which struck me as even less pleasant.

I looked at some way of wrapping the if(setjmp) .. logic into a
function, but I couldn't come up with anything neat in the little time I
had.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person